import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DescribeCostCategoryDefinitionCommand, se_DescribeCostCategoryDefinitionCommand, } from "../protocols/Aws_json1_1";
export { $Command };
export class DescribeCostCategoryDefinitionCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSInsightsIndexService", "DescribeCostCategoryDefinition", {})
    .n("CostExplorerClient", "DescribeCostCategoryDefinitionCommand")
    .f(void 0, void 0)
    .ser(se_DescribeCostCategoryDefinitionCommand)
    .de(de_DescribeCostCategoryDefinitionCommand)
    .build() {
}
