import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_GetAnomalyMonitorsCommand, se_GetAnomalyMonitorsCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class GetAnomalyMonitorsCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSInsightsIndexService", "GetAnomalyMonitors", {})
    .n("CostExplorerClient", "GetAnomalyMonitorsCommand")
    .f(void 0, void 0)
    .ser(se_GetAnomalyMonitorsCommand)
    .de(de_GetAnomalyMonitorsCommand)
    .build() {
}
