import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_GetCostAndUsageCommand, se_GetCostAndUsageCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class GetCostAndUsageCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSInsightsIndexService", "GetCostAndUsage", {})
    .n("CostExplorerClient", "GetCostAndUsageCommand")
    .f(void 0, void 0)
    .ser(se_GetCostAndUsageCommand)
    .de(de_GetCostAndUsageCommand)
    .build() {
}
