import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_GetCostAndUsageWithResourcesCommand, se_GetCostAndUsageWithResourcesCommand, } from "../protocols/Aws_json1_1";
export { $Command };
export class GetCostAndUsageWithResourcesCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSInsightsIndexService", "GetCostAndUsageWithResources", {})
    .n("CostExplorerClient", "GetCostAndUsageWithResourcesCommand")
    .f(void 0, void 0)
    .ser(se_GetCostAndUsageWithResourcesCommand)
    .de(de_GetCostAndUsageWithResourcesCommand)
    .build() {
}
