import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_ListCostAllocationTagsCommand, se_ListCostAllocationTagsCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class ListCostAllocationTagsCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSInsightsIndexService", "ListCostAllocationTags", {})
    .n("CostExplorerClient", "ListCostAllocationTagsCommand")
    .f(void 0, void 0)
    .ser(se_ListCostAllocationTagsCommand)
    .de(de_ListCostAllocationTagsCommand)
    .build() {
}
