import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_UpdateAnomalySubscriptionCommand, se_UpdateAnomalySubscriptionCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class UpdateAnomalySubscriptionCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSInsightsIndexService", "UpdateAnomalySubscription", {})
    .n("CostExplorerClient", "UpdateAnomalySubscriptionCommand")
    .f(void 0, void 0)
    .ser(se_UpdateAnomalySubscriptionCommand)
    .de(de_UpdateAnomalySubscriptionCommand)
    .build() {
}
